"use client";
import { motion } from "motion/react";

export default function HeroSection() {
  return (
    <section className="pt-[125px]">
      <div className="mx-auto container max-w-[1110px] pt-24 px-8">
        <div className="flex flex-col items-center">
          <motion.h1
            initial={{ y: -25, opacity: 0 }}
            whileInView={{ y: 0, opacity: 1 }}
            viewport={{ once: true }}
            transition={{ duration: 0.25, delay: 0.2 }}
            className="mb-4 font-serif text-5xl font-bold text-center text-white"
          >
            Privacy Policy
          </motion.h1>

          <motion.p
            initial={{ y: -25, opacity: 0 }}
            whileInView={{ y: 0, opacity: 1 }}
            viewport={{ once: true }}
            transition={{ duration: 0.25, delay: 0.6 }}
            className="mb-12 text-lg text-center text-white/75"
          >
            Last Updated : Feb 20, 2025
          </motion.p>

          <div className="space-y-7">
            <h2 className="font-serif text-2xl font-semibold text-white">
              Main Heading H1
            </h2>
            <p className="text-sm md:text-base leading-[28px] text-white/75">
              Welcome to&nbsp;Website Name! <br />
              <br />
              These terms and conditions outline the rules and regulations for
              the use of&nbsp;Company Name&apos;s Website, located
              at&nbsp;Website.com. <br />
              By accessing this website we assume you accept these terms and
              conditions. Do not continue to use&nbsp;Website Name&nbsp;if you
              do not agree to take all of the terms and conditions stated on
              this page. <br />
              <br />
              The following terminology applies to these Terms and Conditions,
              Privacy Statement and Disclaimer Notice and all Agreements:
              “Client”, “You” and “Your” refers to you, the person log on this
              website and compliant to the Company&apos;s terms and conditions.
              “The Company”, “Ourselves”, “We”, “Our” and “Us”, refers to our
              Company. “Party”, “Parties”, or “Us”, refers to both the Client
              and ourselves. All terms refer to the offer, acceptance and
              consideration of payment necessary to undertake the process of our
              assistance to the Client in the most appropriate manner for the
              express purpose of meeting the Client&apos;s needs in respect of
              provision of the Company&apos;s stated services, in accordance
              with and subject to, prevailing law of Netherlands. Any use of the
              above terminology or other words in the singular, plural,
              capitalization and/or he/she or they, are taken as interchangeable
              and therefore as referring to same.
            </p>
            <span className="w-full h-px bg-[#E5E7EB]/15 block"></span>
            <h3 className="font-serif text-xl font-semibold text-white">
              Secondary heading H2
            </h3>
            <p className="text-sm md:text-base leading-[28px] text-white/75">
              We employ the use of cookies. By accessing&nbsp;Website Name, you
              agreed to use cookies in agreement with the&nbsp;Company
              Name&apos;s Privacy Policy.
            </p>
            <span className="w-full h-px bg-[#E5E7EB]/15 block"></span>
            <h4 className="font-serif text-lg font-semibold text-white">
              Secondary heading H2
            </h4>
            <p className="text-sm md:text-base leading-[28px] text-white/75">
              Unless otherwise stated,&nbsp;Company Name&nbsp;and/or its
              licensors own the intellectual property rights for all material
              on&nbsp;Website Name. All intellectual property rights are
              reserved. You may access this from&nbsp;Website Name&nbsp;for your
              own personal use subjected to restrictions set in these terms and
              conditions. <br />
              <br />
              Pointers appear like such : <br />• Nam fermentum integer potenti
              malesuada porta vulputate pharetra. <br />• Parturient tellus
              justo ut aenean dapibus viverra sollicitudin. <br />• Maecenas
              placerat habitant dolor accumsan neque curae libero. <br />•
              Adipiscing tempus elementum adipiscing arcu enim. <br />• Magna
              ornare eros ultricies, viverra sagittis class? <br />• Cras mollis
              est aliquam ridiculus aenean aliquam ipsum. <br />• Volutpat
              scelerisque curabitur; ligula netus posuere facilisis. <br />•
              Elit tempus habitasse consequat viverra; urna congue quisque.{" "}
              <br />• Vehicula pellentesque eleifend auctor vitae gravida mattis
              tellus?
            </p>
          </div>
        </div>
      </div>
    </section>
  );
}
